# Get Price

Gets an asset's price from the Belugas Protocol open price feed. The price of the asset can be returned in any other supported asset value, including all bTokens and underlyings.

* `asset` (string) A string of a supported asset in which to find the current price.
* `[inAsset]` (string) A string of a supported asset in which to express the `asset` parameter's price. This defaults to USD.
* `RETURN` (string) Returns a string of the numeric value of the asset.

```
const belugas = new Belugas(window.ethereum);
let price;

(async function () {

  price = await belugas.getPrice(Belugas.WBTC);
  console.log('WBTC in USD', price); // 6 decimals, see Open Price Feed docs

  price = await belugas.getPrice(Belugas.ETH, Belugas.USDC); // supports bTokens too
  console.log('ETH in USDC', price);

})().catch(console.error);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.belugas.io/aquarius.js/price-feed-methods/get-price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
